Subject: bug#7261: emacsclient ignores keyboard-translate in .emacs

From: [email-masked]
Date: Thu, 21 Oct 2010 09:58:18 -0400

I am using emacs 23.2.1 in X under Arch Linux with the following .emacs

;; ; Make “C-t” act like “C-x”,
;; ; so it's easier to type on Dvorak layout
 (keyboard-translate ?\C-t ?\C-x)
 (keyboard-translate ?\C-x ?\C-t)

If I start emacs normally then the keys are translated. If I start emacsclient with 

GDK_NATIVE_WINDOWS=1 emacsclient --alternate-editor="" -c 

Then the keys are not translated on startup, but I can translate them by opening my .emacs file and running eval-region

If I add other commands to .emacs they are executed correctly but I still don't get any key translation. This bug is present in builds with both lucid and gtk. It seems really weird that key translation breaks when other commands in .emacs are ok.